:root {
  --mobile-bottom-toolbar-height: 3.5rem;
}

.mobile-bottom-toolbar {
  position: fixed;
  z-index: 50;
  bottom: 0;
  display: flex;
  width: 100%;
  height: var(--mobile-bottom-toolbar-height);
  transition: all .2s ease-in-out;
  border-radius: var(--radius-md) var(--radius-md) 0 0;
  background-color: var(--color-surface);
  filter: drop-shadow(0 0 6px var(--color-black-o-25));
}

.is-mobile-sidebar .mobile-bottom-toolbar {
  transform: translateY(125%);
}

.mobile-bottom-toolbar__item {
  position: relative;
  display: flex;
  align-items: center;
  flex: 1 1 0;
  flex-direction: column;
  justify-content: center;
  padding: var(--spacing-xs);
  color: var(--color-text);
}

.mobile-bottom-toolbar__name {
  font: var(--typography-label-small);
  font-weight: bold;
  margin-top: var(--spacing-xxs);
}

.mobile-bottom-toolbar__icon {
  position: relative;
  width: 1.5rem;
  height: 1.5rem;
  background: transparent var(--icon-url, none) no-repeat center;
  background-size: 1.5rem;
}

.mobile-bottom-toolbar__icon--frontpage {
  --icon-url: url('../../../icons/111111/home-variant.svg');
}

.mobile-bottom-toolbar__icon--catalog {
  --icon-url: url('../../../icons/111111/text-search.svg');
}

.mobile-bottom-toolbar__item[data-toolbar-item-id="menu"] {
  position: relative;
  top: -7px;
}

.mobile-bottom-toolbar__icon--menu {
  position: relative;
  padding: var(--spacing-md);
  border: 2px solid var(--color-primary);
  border-radius: 50%;
  background-color: var(--color-surface);
  box-shadow: 0 0 0 8px var(--color-surface);
  --icon-url: url('../../../icons/111111/menu.svg');
}

.mobile-bottom-toolbar__icon--cart {
  --icon-url: url('../../../icons/111111/cart-outline.svg');
}

.mobile-bottom-toolbar__icon--contact {
  --icon-url: url('../../../icons/111111/email-edit.svg');
}

.mobile-bottom-toolbar__item--has-quantity .mobile-bottom-toolbar__icon::before {
  font: var(--typography-label-small);
  font-weight: bold;
  line-height: 1rem;
  position: absolute;
  top: -25%;
  right: -50%;
  display: block;
  width: 1rem;
  height: 1rem;
  content: attr(data-quantity);
  text-align: center;
  color: var(--color-on-primary);
  border-radius: 50%;
  background-color: var(--color-primary);
}

@media (min-width: 768px) {
  .mobile-bottom-toolbar {
    display: none;
  }
}
